# -*- coding: utf-8 -*-
# Tracer un graphe de fonction par approximation
# (programme de seconde)
#    F. Goichot, décembre 2017
#       version utilisant le module "tortue" 
#       traduit et simplifié du module Python standard "turtle"
# Version 1, très simple

from tortue import *

def g(x):
    '''la fonction qu'on veut représenter'''
    return(2*x*x-3*x+1)

def dessin(f):
    '''dessine l'approximation du graphe de f   
    obtenue en reliant les points (xi,f(xi))'''
    change_repere(-5,-5,5,5)
    a, b = -2, 3
    maz() ; vitesse(1)
    montre()
    # dessin des axes
    couleur('n')
    leve() ; va_en(-5,0) ; baisse() ; va_en(5,0)           
    leve() ; va_en(0,-5) ; baisse() ; va_en(0,5) 
    # dessin du graphe
    couleur('b')
    leve() ; va_en(a,f(a)) ; baisse() 
    for i in range(1,10):
        xi = a + i * (b-a)/9
        va_en(xi,f(xi))
    cache()
    
dessin(g)

 

